Subject: Re: [PATCH] apply: strip ./ prefix from --directory argument

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 18 Feb 2026 15:14:46 +0100

On Tue, Feb 17, 2026 at 12:27:39PM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > While this change here fixes your observed issues, the next person might
> > run into a totally different one. So more generally, I think what we'd
> > rather want to do is to fully normalize the path. How about this
> > instead:
> 
> Sorry, but I am confused.  Why isn't "don't do it then" a good
> answer for a case like this?

I guess that's fair, but especially with command line completion it
might be easy to arrive at such paths. That may or may not be a good
argument, I'm not sure myself.

Patrick